Subject: Re: [PATCH 00/17] Use rust types in xdiff.

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Sep 2025 14:56:29 -0700

"Ezekiel Newren via GitGitGadget" <[email-masked]> writes:

> This patch series has 2 parts:
>
>  * Patches 1-9: Clean up xdiff, this can be merged without part 2.
>  * Patches 10-17: Define Rust types in compat/rust_types.h and then start
>    refactoring xdiff with Rust types. This depends on part 1.
>
> The cleanup in this patch series makes the structs xrecord_t and xdfile_t
> Rust FFI friendly. My opinion is that part 1 should be merged soon, while
> part 2 can be discussed further.

I think we saw that the earlier part were read carefully by Elijah
(and others may have read without finding anything worth commenting
on), so should we split this into two parts and start merging the
early 9 down to 'next' and then to 'master'?

Thanks.